Fl_Device.H File Reference

declaration of classes Fl_Device, Fl_Graphics_Driver, Fl_Surface_Device, Fl_Display_Device, Fl_Device_Plugin. More...

`#include <FL/x.H>`
`#include <FL/Fl_Plugin.H>`
`#include <FL/Fl_Image.H>`
`#include <FL/Fl_Bitmap.H>`
`#include <FL/Fl_Pixmap.H>`
`#include <FL/Fl_RGB_Image.H>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes

class | Fl_Device
| All graphical output devices and all graphics systems. More...
class | Fl_Device_Plugin
| This plugin socket allows the integration of new device drivers for special window or screen types. More...
class | Fl_Display_Device
| A display to which the computer can draw. More...
class | Fl_GDI_Graphics_Driver
| The MSWindows-specific graphics class. More...
class | Fl_GDI_Printer_Graphics_Driver
| The graphics driver used when printing on MSWindows. More...
class | Fl_Graphics_Driver
| A virtual class subclassed for each graphics driver FLTK uses. More...
class | Fl_Quartz_Graphics_Driver
| The Mac OS X-specific graphics class. More...
class | Fl_Surface_Device
| A surface that's susceptible to receive graphical output. More...
class | Fl_Xlib_Graphics_Driver
| The Xlib-specific graphics class. More...
struct | Fl_Graphics_Driver::matrix
| A 2D coordinate transformation matrix. More...

## Macros

#define | FL_MATRIX_STACK_SIZE 32
#define | FL_REGION_STACK_SIZE 10
#define | XPOINT XPoint

## Typedefs

typedef short | COORD_T
typedef void(* | Fl_Draw_Image_Cb )(void *data, int x, int y, int w, uchar *buf)
| signature of image generation callback function. More...

## Variables

FL_EXPORT Fl_Graphics_Driver * | fl_graphics_driver
| Points to the driver that currently receives all graphics requests.

## Detailed Description

declaration of classes Fl_Device, Fl_Graphics_Driver, Fl_Surface_Device, Fl_Display_Device, Fl_Device_Plugin.

## Typedef Documentation

typedef void(* Fl_Draw_Image_Cb)(void *data, int x, int y, int w, uchar *buf)

signature of image generation callback function.

Parameters

  [in] | data | user data passed to function
  [in] | x,y,w | position and width of scan line in image
  [out] | buf | buffer for generated image data. You must copy `w` pixels from scanline `y`, starting at pixel `x` to this buffer.

- © 1998-2012 by Bill Spitzak and others.